%global momorel 2
%global md5sum_src0 df40461cd15ab8c0c100747c84fb9cfe

Name: evolution-sharp
Version: 0.12.4
Release: %{momorel}m%{?dist}
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.ximian.com/
%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.12/%{name}-%{version}.tar.bz2 %{md5sum_src0}

Summary: evolution library for .NET
Group: Development/Libraries

BuildRequires: pkgconfig
BuildRequires: mono-core
BuildRequires: gtk-sharp2
BuildRequires: evolution-data-server-devel >= 1.10.1
BuildRequires: mono-devel >= 1.2.3.1
BuildRequires: gtk-sharp2-devel >= 2.10.0

%description
Evolution# is a .NET language binding for various Ximian Evolution (tm)
libraries.  Evolution# is free software, licensed under the GNU GPL.

%package devel
Summary: Development files for building against evolution
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
evolution-sharp-devel

%prep
%setup -q

%build
%configure
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot} -name "*.la" -delete

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/libevolutionglue.so
%{_prefix}/lib/mono/evolution-sharp
%{_prefix}/lib/mono/gac/evolution-sharp
%{_datadir}/gapi-2.0/evolution-api.xml 

%files devel
%defattr(-, root, root)
%{_libdir}/libevolutionglue.a
%{_libdir}/pkgconfig/evolution-sharp.pc

%changelog
* Mon May 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.4-2m)
- delete %%post %%postun scripts

* Sun May 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.4-1m)
- initial build
